Subject: Re: linux-next: build failure after merge of the slave-dma tree

From: Vinod Koul <[email-masked]>
Date: Mon, 8 Jul 2019 09:39:31 +0530

On 08-07-19, 02:01, Robin Gong wrote:
> On 06-07-19, 22:43, Vinod Koul <[email-masked]> wrote:
> > > 	That's caused by 'of_irq_count' NOT export to global symbol, and I'm
> > > curious why it has been here for so long since Zhangfei found it in
> > > 2015.
> > > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpatc
> > >
> > hwork.kernel.org%2Fpatch%2F7404681%2F&amp;data=02%7C01%7Cyibin.gon
> > g%40
> > >
> > nxp.com%7C6172242dfadd4f71c09a08d70220bf6f%7C686ea1d3bc2b4c6fa92
> > cd99c5
> > >
> > c301635%7C0%7C0%7C636980211986259586&amp;sdata=L8v%2B1o5zfgIAS
> > go4qr3pu
> > > cQ%2Byox1irANsvRv5ZNLlLM%3D&amp;reserved=0
> > 
> > Yes this does not seem to be applied, perhaps Rob can explain why. But this was
> > not exported how did you test it?
> I had no such issue because I built in fsl-edma instead of Stephen's config with building module.

But you support it as a module, right? I am inclined to revert the patch
now!

-- 
~Vinod